[Setup]
AppName=SMS Reader
AppVerName=SMS Reader 1.0.0
PrivilegesRequired=admin
DefaultDirName={pf}\SMS Reader
DefaultGroupName=SMS Reader
SetupIconFile=icon.ico
UninstallDisplayIcon={app}\icon.ico
LicenseFile=eula.txt
InfoBeforeFile=info.txt
Uninstallable=yes
Compression=lzma
SolidCompression=yes

[Tasks]
Name: "desktopicon"; Description: "Create a desktop icon"
Name: "startupicon"; Description: "Add SMS Reader to the Autostart group"

[Dirs]
Name: "{app}\lib"

[Files]
Source: "SMSreader.jar"; DestDir: "{app}"
Source: "rxtxSerial.dll"; DestDir: "{sys}"; Flags: confirmoverwrite uninsneveruninstall
Source: "lib\*"; DestDir: "{app}\lib"
Source: "icon.ico"; DestDir: "{app}"

[Icons]
Name: "{group}\SMS Reader"; Filename: "{app}\SMSreader.jar"; WorkingDir: "{app}"; IconFilename: "{app}\icon.ico"
Name: "{userdesktop}\SMS Reader"; Filename: "{app}\SMSreader.jar"; WorkingDir: "{app}"; IconFilename: "{app}\icon.ico"; Tasks: desktopicon
Name: "{commonstartup}\SMS Reader"; Filename: "{app}\SMSreader.jar"; WorkingDir: "{app}"; IconFilename: "{app}\icon.ico"; Tasks: startupicon
